List Kalshi Markets
curl --request GET \
--url https://api.entityml.com/api/v1/kalshi/market/list \
--header 'Authorization: <authorization>'import requests
url = "https://api.entityml.com/api/v1/kalshi/market/list"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.entityml.com/api/v1/kalshi/market/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"total_markets": 123,
"returned_count": 123,
"filter_prefix": "<string>",
"market_tickers": [
{}
],
"pagination": {}
}Kalshi
List Kalshi Markets
List stored Kalshi market tickers from the backing S3 inventory.
GET
/
api
/
v1
/
kalshi
/
market
/
list
List Kalshi Markets
Request
Headers
string
required
Bearer token. Example:
Bearer YOUR_API_KEYQuery Parameters
string
Optional ticker prefix filter. Values are normalized to uppercase. Example:
KXBTC-26FEB2606.integer
Number of markets to skip. Default:
0.integer
Maximum number of markets to return. Default:
100. Max: 1000.Response
integer
Total number of stored Kalshi markets after applying the optional prefix filter.
integer
Number of tickers returned in this page.
string
The normalized ticker prefix filter that was applied, if any.
array
Array of stored Kalshi market tickers.
object
Standard pagination metadata with
offset, limit, total_count, and has_more.Each successful call to this endpoint counts as 1 API request.
Example
curl -H "Authorization: Bearer YOUR_API_KEY" \
"https://api.entityml.com/api/v1/kalshi/market/list?prefix=KXBTC-26FEB2606&offset=0&limit=5"
import os
import requests
response = requests.get(
"https://api.entityml.com/api/v1/kalshi/market/list",
headers={"Authorization": f"Bearer {os.environ['ENTITY_API_KEY']}"},
params={"prefix": "KXBTC-26FEB2606", "offset": 0, "limit": 5},
)
print(response.json())
Example response
{
"total_markets": 5,
"returned_count": 5,
"filter_prefix": "KXBTC-26FEB2606",
"market_tickers": [
"KXBTC-26FEB2606-B59375",
"KXBTC-26FEB2606-B59625",
"KXBTC-26FEB2606-B59875",
"KXBTC-26FEB2606-B60125",
"KXBTC-26FEB2606-B60375"
],
"pagination": {
"offset": 0,
"limit": 5,
"total_count": 5,
"has_more": false
}
}